package com.gree.mall.manager.enums;

import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.Getter;

@Getter
public enum ExamineWorkerStatusEnum implements BaseEnum {
    WAIT_WORKER("WAIT_WORKER","待购买"),
    POLICY_WAIT("POLICY_WAIT","保险待审核"),
    WAIT("WAIT","入驻待审核"),
    FAIL("FAIL","驳回"),
    EXPIRED("EXPIRED","证件快过期"),
    OVERDUE("OVERDUE","证件已过期"),
    QUIT("QUIT","已离职"),
    STOP("STOP","已暂停"),
    OK("OK","审核通过");

    ExamineWorkerStatusEnum(String key,String remark) {
        this.key=key;this.remark = remark;
    }
    private String key;
    private String remark;
}
